## edu.cwru.SimpleRTS.Log
Class UpgradeLog

    java.lang.Object
      edu.cwru.SimpleRTS.Log.UpgradeLog

All Implemented Interfaces:
  java.io.Serializable

    public class UpgradeLog

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`UpgradeLog(int upgradetemplateid, int player)`

Method Summary
`int` `getPlayer()`
`int` `getUpgradeTemplateID()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpgradeLog

    public UpgradeLog(int upgradetemplateid,
                      int player)

Method Detail

### getUpgradeTemplateID

    public int getUpgradeTemplateID()

### getPlayer

    public int getPlayer()